### File

`packages/components/layout/eui-app/eui-app-header/header.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-header`
imports | `AsyncPipe` `EuiSidebarToggleComponent`
templateUrl | `./header.component.html`
styleUrl | `./header.scss`

### Index

###### Properties
asService role
###### Inputs
isShrinkHeaderActive
###### HostBindings
attr.role class
###### Accessors
cssClasses isShrinkHeaderActive

### Inputs

isShrinkHeaderActive
Type : `boolean`

### HostBindings

attr.role
Type : `string`
Default value : `'banner'`

class
Type : `string`

### Properties

asService
Default value : `inject(EuiAppShellService)`

role
Type : `string`
Default value : `'banner'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

isShrinkHeaderActive
get `isShrinkHeaderActive()`
set `isShrinkHeaderActive(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

# results matching ""

# No results matching ""